/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BOS_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_ACCOUNTBANKS' AND KSQL_COL_NAME IN ('FBANKINTERFACE')) 
 ALTER TABLE T_BD_ACCOUNTBANKS ADD (FBANKINTERFACE NVARCHAR(80) DEFAULT ' ' NOT NULL );
 
 EXEC p_AlterColumn 'T_BD_ACCPURPOSE', 'FSTATUS', 'NVARCHAR(80)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BD_ACCPURPOSE', 'FORDER', 'NVARCHAR(80)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BD_ACCPURPOSE', 'FCOMMENT', 'NVARCHAR(255)', 'NULL', '1111', 'NULL';

 EXEC p_AlterColumn 'T_BD_ACCPURPOSE_L', 'FPKID', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BD_ACCPURPOSE_L', 'FLOCALEID', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BD_ACCOUNTBANKSUSEREG', 'FCTRLSTRATEGY', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BD_ACCOUNTBANKS', 'FSTATUS', 'NVARCHAR(80)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BD_ACCOUNTBANKS', 'FENABLE', 'NVARCHAR(80)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BD_ACCOUNTBANKS', 'FCTRLSTRATEGY', 'NVARCHAR(80)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BD_ACCOUNTBANKS', 'FBANKACCOUNTNUMBER', 'NVARCHAR(80)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BD_ACCOUNTBANKS', 'FENGLISHNAME', 'NVARCHAR(80)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BD_ACCOUNTBANKS', 'FACCTSTYLE', 'NVARCHAR(80)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BD_ACCOUNTBANKS', 'FACCTTYPE', 'NVARCHAR(80)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BD_ACCOUNTBANKS', 'FSHORTNUMBER', 'NVARCHAR(80)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BD_ACCOUNTBANKS', 'FACCTSTATUS', 'NVARCHAR(80)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BD_ACCOUNTBANKS', 'FBEBANKFUNC', 'NVARCHAR(80)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BD_ACCOUNTBANKS', 'FBANKFUNC', 'NVARCHAR(80)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BD_ACCOUNTBANKS', 'FFINORGTYPE', 'NVARCHAR(80)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BD_ACCOUNTBANKS', 'FBANKINTERFACE', 'NVARCHAR(80)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BD_ACCOUNTBANKS', 'FCURRENCYNAME', 'NVARCHAR(80)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BD_ACCOUNTBANKS_L', 'FPKID', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_YZJ_SYNCREPORTENTRY', 'FYZJVALUE', 'VARCHAR(1000)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_YZJ_SYNCREPORTENTRY', 'FERPVALUE', 'VARCHAR(1000)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_YZJ_SYNCREPORTENTRY_L', 'FDESCRIPTION', 'NVARCHAR(1000)', 'NOT NULL', '0100', ''' ''';


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BOS_table.sql **/
